# ISelectableObject Struct Reference
[External Interfaces]

Inheritance diagram for ISelectableObject:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | AddToSelection (ISceneSelection *inSelection, boolean allowMultiple)=0
virtual void MCCOMAPI | RemoveFromSelection (ISceneSelection *inSelection)=0
virtual void MCCOMAPI | GetPath (TSelectionPath &outPath)=0
virtual void MCCOMAPI | GetLeaf (TSelectionNode &leaf)=0
virtual void MCCOMAPI | GetFullPath (TSelectionPath &outPath)=0
virtual void MCCOMAPI | SetIsInCurrentSelection (ESelectState isSelected)=0
virtual ESelectState MCCOMAPI | IsInCurrentSelection ()=0
virtual ESelectState MCCOMAPI | IsInSelection (ISceneSelection *inSelection)=0
virtual ISelectableObject *MCCOMAPI | GetSelectedSubObject (const TSelectionNode &inSubNode) const =0
virtual ISelectableObject *MCCOMAPI | GetSelectedObject (const TSelectionPath &path) const =0

## Detailed Description

Selectable objects can handle adding and removing themselves from scene selections.

## Member Function Documentation

virtual void MCCOMAPI ISelectableObject::AddToSelection | ( | ISceneSelection * | inSelection,
|  | boolean | allowMultiple |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI ISelectableObject::GetFullPath | ( | TSelectionPath & | outPath | ) | `[pure virtual]`

virtual void MCCOMAPI ISelectableObject::GetLeaf | ( | TSelectionNode & | leaf | ) | `[pure virtual]`

virtual void MCCOMAPI ISelectableObject::GetPath | ( | TSelectionPath & | outPath | ) | `[pure virtual]`

virtual ISelectableObject* MCCOMAPI ISelectableObject::GetSelectedObject | ( | const TSelectionPath & | path | ) | const`[pure virtual]`

virtual ISelectableObject* MCCOMAPI ISelectableObject::GetSelectedSubObject | ( | const TSelectionNode & | inSubNode | ) | const`[pure virtual]`

virtual ESelectState MCCOMAPI ISelectableObject::IsInCurrentSelection | ( |  | ) | `[pure virtual]`

virtual ESelectState MCCOMAPI ISelectableObject::IsInSelection | ( | ISceneSelection * | inSelection | ) | `[pure virtual]`

virtual void MCCOMAPI ISelectableObject::RemoveFromSelection | ( | ISceneSelection * | inSelection | ) | `[pure virtual]`

virtual void MCCOMAPI ISelectableObject::SetIsInCurrentSelection | ( | ESelectState | isSelected | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- ISelectableObject.h